package com.zhiyun.mqtt.common;

/**
 * @author yang xiao kun
 * create on 2021/2/2
 */
public class Constant {

    /**
     * redis key前缀
     */
    public static final String REDIS_PREFIX_LOCATION = "device:location:";//数据上传位置信息前缀
    public static final String REDIS_TOKEN_PREFIX = "user:token:";//PC管理员登录token 前缀

    /**
     * MQTT 协议报文 中 M值
     */
    public static final String M_CODE_REGISTER = "10";//注册
    public static final String M_CODE_RETURN_CODE = "11";//返回授权码
    public static final String M_CODE_REGISTER_OK = "13";//注册成功
    public static final String M_CODE_GPS_RATE = "31";//定位频率
    public static final String M_CODE_SOS = "33";//紧急呼救
    public static final String M_CODE_VOLUME = "34";//音量
    public static final String M_CODE_AUTO_ANSWER = "36";//自动接听
    public static final String M_CODE_NEWS = "39";//语音播报
    public static final String M_CODE_CONTINUE_GPS = "41";//设备连续定位设置

//    public static final String TAG_uploadTag = "uploadtag";//数据上传频率
//    public static final String TAG_ownTag = "owntag";//持有人信息
//    public static final String TAG_sosTag = "sostag";//紧急联系人
//    public static final String TAG_valTag = "valtag";//音量
//    public static final String TAG_timeTag = "timetag";//整点报时
//    public static final String TAG_hangonTag = "hangontag";//自动接听
//    public static final String TAG_whiteTag = "whitetag";//白名单
//    public static final String TAG_serverTag = "servertag";//服务器信息
//    public static final String TAG_msgTag = "msgtag";//语音播报

    /**
     * 主题前缀
     * SERVER为服务器订阅接收设备发来消息￿
     * CLIENT为服务器订阅发送消息给设备
     */
    public static final String TOPIC_REGISTER_SERVER = "$regdtx";
    public static final String TOPIC_REGISTER_CLIENT = "$regdrx";
    public static final String TOPIC_DEVICE_SERVER = "$dtx/";
    public static final String TOPIC_DEVICE_CLIENT = "$drx/";

    /**
     * 微信小程序登录相关配置
     */
    public static final String wxAppId = "wxe90699b45e28a0b6";// 小程序唯一标识
    public static final String wxSecret = "66690a1ffcfe7f1d85a6dcfa38791f25";//小程序的 app secret
    public static final String grant_type = "authorization_code"; // 授权（必填）
}
