package com.zhiyun.mqtt.common.exception;

/**
 * 运行时异常
 *
 * @author yang xiao kun
 * create on 2021/1/5
 */
public class ApiRuntimeException extends RuntimeException {
    /**
     * 错误信息
     */
    private String msg;

    public ApiRuntimeException(String code, String msg) {
        this.msg = "{'code':" + code + ",'msg:'" + msg + "}";
    }

    public ApiRuntimeException(String msg) {
        this.msg = msg;
    }

    public ApiRuntimeException() {
        this.msg = "系统错误";
    }

    @Override
    public String getMessage() {
        return msg;
    }

    public String getMsg() {
        return msg;
    }
}
