package com.zhiyun.mqtt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhiyun.mqtt.model.SetUpdateTag;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 设备设置消息通知相关
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
@Deprecated
public interface SetUpdateTagMapper extends BaseMapper<SetUpdateTag> {

    /**
     * 更新设备设置消息通知
     *
     * @param deviceId 设备ID
     * @param column   设置列
     * @param tag      开关标签
     */
    int updateMsgConfirm(@Param("deviceId") String deviceId,
                         @Param("column") String column,
                         @Param("tag") String tag);
}
