package com.zhiyun.mqtt.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.mqtt.common.io.SetNewsIO;
import com.zhiyun.mqtt.mapper.SetNewsMapper;
import com.zhiyun.mqtt.model.SetNews;
import org.springframework.stereotype.Service;

/**
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class SetNewsService extends ServiceImpl<SetNewsMapper, SetNews> {
    /**
     * 分页查询播报记录
     *
     * @param io 查询参数
     */
    public IPage<SetNews> getListPage(SetNewsIO io) {
        Page<SetNews> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.getListPage(page, io);
    }
}
