package com.zhiyun.mqtt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhiyun.mqtt.common.io.wechat.DeviceHistoryIO;
import com.zhiyun.mqtt.common.vo.LocationHistoryVo;
import com.zhiyun.mqtt.model.DeviceLocation;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 设备位置信息
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface DeviceLocationMapper extends BaseMapper<DeviceLocation> {

    /**
     * 查看设备历史轨迹
     *
     * @param io 查询入参
     */
    List<LocationHistoryVo> getHistory(DeviceHistoryIO io);
}
