package com.zhiyun.mqtt.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 基站信息
 */
@Data
@TableName("base_station")
public class BaseStation {
    @TableId
    private Integer id;

    //设备ID
    private String deviceId;

    //临近基站1
    private String cellInf0;

    //临近基站2
    private String cellInf1;

    //数据更新时间
    private String uploadTime;

    //记录创建时间
    private LocalDateTime createTime;
}
