package com.zhiyun.mqtt.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.mqtt.common.io.wechat.DeviceHistoryIO;
import com.zhiyun.mqtt.common.vo.LocationHistoryVo;
import com.zhiyun.mqtt.mapper.DeviceLocationMapper;
import com.zhiyun.mqtt.model.DeviceLocation;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 设备位置信息相关
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class DeviceLocationService extends ServiceImpl<DeviceLocationMapper, DeviceLocation> {

    /**
     * 查看设备历史轨迹
     *
     * @param io 查询入参
     */
    public List<LocationHistoryVo> getHistory(DeviceHistoryIO io) {
        return baseMapper.getHistory(io);
    }

}
