package com.zhiyun.mqtt.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.mqtt.mapper.SetUpdateTagMapper;
import com.zhiyun.mqtt.model.SetUpdateTag;

/**
 * 设备设置消息通知相关
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Deprecated
public class SetUpdateTagService extends ServiceImpl<SetUpdateTagMapper, SetUpdateTag> {

    /**
     * 更新设备设置消息通知
     *
     * @param deviceId 设备ID
     * @param column   设置列
     * @param tag      开关标签
     */
    public void updateMsgConfirm(String deviceId, String column, String tag) {
        baseMapper.updateMsgConfirm(deviceId, column, tag);
    }

    /**
     * 通过设备ID查询设备的设置更新tag
     *
     * @param deviceId 设备ID
     */
    public SetUpdateTag getByDeviceId(String deviceId) {
        QueryWrapper<SetUpdateTag> queryWrapper = new QueryWrapper<SetUpdateTag>().eq("deviceId", deviceId);
        return baseMapper.selectOne(queryWrapper);
    }
}
